//
//  Item.m
//  SQLiteExample
//
//  Created by Jonathan Diehl on 24.06.08.
//  Copyright 2008 Media Computing Group. All rights reserved.
//

#import "Item.h"


@implementation Item

@synthesize name;

// Constructor from statement
- (id)initWithStatement:(DatabaseStatement *)statement;
{
	self = [super init];
	if(self != NULL) {
		[self setIdValue:[statement intValueForIndex:0]];
		[self setName:[statement stringValueForIndex:1]];
	}
	return self;
}

// insert query
- (NSString *)insertQuery;
{
	return [NSString stringWithFormat:@"insert into Item (id,name) values (%i,'%@')",
			[self idValue], [self name]];
}

// update query
- (NSString *)updateQuery;
{
	return [NSString stringWithFormat:@"update Item set name='%@' where id=%i",
			[self name], [self idValue]];
}

// visual presentation
- (void)updateTableViewCell:(UITableViewCell *)tableViewCell;
{
	[tableViewCell setText:[self name]];
}


@end
